@import url("https://fonts.googleapis.com/css2?family=Itim&family=Montserrat:wght@200;300;400;500;600;700;800&display=swap%27");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  background-color: black;
  font-family: "Montserrat", sans-serif;
}

header {
  border-bottom: 1px solid #fff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.7);
  padding: 1rem 3.5rem;
}

header .phone > i,
header .location > i {
  font-size: 25px;
  color: red;
}

header .phone > span,
header .location > span {
  font-size: 18px;
  color: #fff;
  font-weight: 300;
  margin: 0px 0px 0px 10px;
}

header .social-media .icons {
  display: flex;
}

header .social-media .icons li {
  display: flex;
  justify-content: center;
  align-items: center;
  list-style: none;
  width: 40px;
  height: 40px;
  background-color: transparent;
  border: 1px solid whitesmoke;
  border-radius: 50%;
  margin-right: 20px;
}

header .social-media .icons li:hover {
  transition: 0.3s ease-in-out;
  border: 1px solid rgb(201 143 38);
}

header .social-media .icons li:hover i {
  transform: scale(1.3);
}

header .social-media .icons li a {
  text-decoration: none;
  color: #fff;
}

header .social-media .icons li a i {
  font-size: 18px;
}

header .social-media .icons li:hover > a {
  color: rgb(201 143 38);
  transition: 0.3s ease-in-out;
}

nav {
  display: flex;
  column-gap: 100px;
  align-items: center;
  background-color: black;
  padding: 0.5rem 3.5rem;
}

nav .logo {
  flex-basis: 20%;
}

nav .menu {
  flex-basis: 60%;
  justify-content: space-around;
}

nav .order-btn {
  display: flex;
  justify-content: center;
  flex-basis: 20%;
}

nav .logo .logo-wrapper {
  width: 251px;
  height: 80px;
}

nav .logo .logo-wrapper img {
  width: 100%;
  height: 100%;
}

nav .menu {
  display: flex;
}

nav .menu li {
  list-style: none;
}

nav .menu li a {
  font-weight: 600;
  text-decoration: none;
  color: #fff;
  font-size: 1rem;
}

nav .menu li:hover > a {
  color: rgb(201 143 38);
  transition: 0.3s ease-in-out;
}

nav .menu li > .active {
  text-decoration: none;
  color: rgb(201 143 38);
}

nav .order-btn button {
  background-color: rgb(201 143 38);
  border: none;
  outline: none;
  text-align: center;
  padding: 1rem 2.3rem;
}

nav .order-btn button:hover {
  border: 1px solid white;
  background-color: black;
  transition: 0.3s ease-in-out;
}

nav .order-btn button:hover > a {
  color: rgb(201 143 38);
  transition: 0.3s ease-in-out;
}

nav .order-btn button a {
  font-size: 1rem;
  font-weight: 600;
  text-decoration: none;
  text-transform: uppercase;
  color: #fff;
}

/* // */

.bg {
  background-image: url(..//vikenshtepi/bg.jpeg);
  background-size: cover;
  width: 100%;
  height: 100vh;
  background-attachment: fixed;
  background-position: center;
}

.pading {
  padding: 5%;
}

.h1moreSecond {
  color: white;
  opacity: 1;
}

h2 {
  color: white;
}

h3 {
  color: #d9a273;
}

.moreSecond {
  color: white;
}

.beatiful .container .row {
  display: flex;
  position: relative;
  margin: 100px 0;
}

.beatiful .container .row .col:first-child {
  flex-basis: 28%;
  display: flex;
  flex-direction: column;
  padding: 0rem 2rem;
  z-index: 3;
}

.beatiful .container .row .col:nth-child(2) {
  flex-basis: 25%;
}

.beatiful .container .row .col:last-child {
  flex-basis: 46%;
  position: absolute;
  left: 50%;
}

.beatiful .container .row .col:first-child .cards {
  background-color: #3f313174;
  margin: 1rem 0 1.5rem 0;
  border-radius: 20px;
}

.beatiful .container .row .col:nth-child(2) {
  position: absolute;
  z-index: -10;
  left: 18%;
}

.beatiful .container .row .col:nth-child(2) .image {
  width: 471px;
  height: 605px;
}

.beatiful .container .row .col .cards {
  padding: 1rem;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.beatiful .container .row .col .image img {
  width: 100%;
  height: 100%;
}

.beatiful .container .row .col .cards span {
  font-weight: 600;
  color: white;
  font-size: 3rem;
  position: relative;
}

.beatiful .container .row .col .cards sup {
  color: white;
  position: absolute;
  font-size: 1rem;
  color: #d9a273;
  top: 0;
}

.beatiful .container .row .col .cards p {
  color: white;
  font-size: 1rem;
}

.beatiful .container .row .col .cards .row-inside {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}

.beatiful .container .row .col .cards .row-inside .col-inside img {
  width: 4rem;
}

.beatiful .container .row .col .cards .row-inside .col-inside h1 {
  color: white;
  font-weight: 600;
  font-size: 1.6rem;
  width: 100%;
  margin: 10px 0px;
}

.beatiful .container .row .col .title {
  font-family: "Itim", cursive;
  color: #d9a273;
  font-size: 1.5rem;
}

.beatiful .container .row .col h1 {
  color: white;
  font-size: 3.3rem;
  margin-top: 1.5rem;
}

.beatiful .container .row .col .description {
  color: white;
  margin-top: 1.5rem;
  font-size: 1.1rem;
  line-height: 1.5;
}

.beatiful .container .row .col .second-row-inside {
  display: flex;
  padding-top: 3rem;
}

.beatiful .container .row .col .second-row-inside .second-col-inside {
  flex-basis: 50%;
}

.beatiful
  .container
  .row
  .col
  .second-row-inside
  .second-col-inside
  .row-inside-col {
  display: flex;
  column-gap: 10px;
  flex-basis: 50%;
}

.beatiful
  .container
  .row
  .col
  .second-row-inside
  .second-col-inside
  .row-inside-col
  .col-inside-col
  i {
  padding-top: 1rem;
  color: #3f3131;
  font-size: 3rem;
}

.beatiful
  .container
  .row
  .col
  .second-row-inside
  .second-col-inside
  .row-inside-col
  .col-inside-col
  .vision {
  font-size: 1.7rem;
  font-weight: 600;
}

.beatiful
  .container
  .row
  .col
  .second-row-inside
  .second-col-inside
  .row-inside-col
  .col-inside-col
  p {
  color: white;
}

.beatiful
  .container
  .row
  .col
  .second-row-inside
  .second-col-inside
  .row-inside-col
  .col-inside-col
  .mision {
  font-size: 1.7rem;
  font-weight: 600;
}

.beatiful .container .row .col .owner {
  color: white;
  font-size: 1.5rem;
}

.beatiful .container .row .col .col-bottom {
  color: #d9a273;
  padding-top: 0.5rem;
  font-weight: 400;
  font-size: 1.3rem;
}

.padding {
  padding: 30%;
}

h1 {
  color: #d9a273;
  font-family: "Itim", cursive;
  text-align: center;
}

.foto img {
  width: 30%;
  margin: 20px;
  padding: 2rem;
  border: 1px solid white;
  transition: 0.5s;
  box-shadow: white 0px 30px 60px -12px inset, white 0px 18px 36px -18px inset;
}

/*                */
/*  */

.gallery {
  --size: 100px;
  display: grid;
  grid-template-columns: repeat(6, var(--size));
  grid-auto-rows: var(--size);
  margin-bottom: var(--size);
  place-items: start center;
  gap: 5px;

  &:has(:hover) img:not(:hover),
  &:has(:focus) img:not(:focus) {
    filter: brightness(0.5) contrast(0.5);
  }

  & img {
    object-fit: cover;
    width: calc(var(--size) * 2);
    height: calc(var(--size) * 2);
    clip-path: path(
      "M90,10 C100,0 100,0 110,10 190,90 190,90 190,90 200,100 200,100 190,110 190,110 110,190 110,190 100,200 100,200 90,190 90,190 10,110 10,110 0,100 0,100 10,90Z"
    );
    transition: clip-path 0.25s, filter 0.75s;
    grid-column: auto / span 2;
    border-radius: 5px;

    &:nth-child(5n - 1) {
      grid-column: 2 / span 2;
    }

    &:hover,
    &:focus {
      clip-path: path(
        "M0,0 C0,0 200,0 200,0 200,0 200,100 200,100 200,100 200,200 200,200 200,200 100,200 100,200 100,200 100,200 0,200 0,200 0,100 0,100 0,100 0,100 0,100Z"
      );
      z-index: 1;
      transition: clip-path 0.25s, filter 0.25s;
    }

    &:focus {
      outline: 1px dashed black;
      outline-offset: -5px;
    }
  }
}

.boooody {
  margin: 0;
  min-height: 50vh;
  display: grid;
  place-items: center;
}

@media screen and (max-width: 1050px) {
  .bg {
    background-image: url(../loriku/loriku/bgbrez.jpeg);
    background-attachment: scroll !important;
  }

  .boooody {
    width: 80%;
  }
  .second-row-inside {
    flex-direction: column;
  }
  section.beatiful {
    height: 180vh;
  }
  /* .gallery img {
    object-fit: cover;
    width: 60px;
    height: 60px;
  } */
  footer .row {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
  footer .row .col {
    margin: 15px;
  }
  /*  */

  header .social-media .icons li {
    width: 25px;
    height: 25px;
    background-color: transparent;
    border: 1px solid whitesmoke;
    border-radius: 50%;
    margin-right: 10px;
  }
  header .social-media .icons li a i {
    font-size: 15px;
  }

  header {
    padding: 0.5rem 0rem 0.5rem 0.5rem;
  }
  header .phone > span,
  header .location > span {
    font-size: 10px;
    color: #fff;
    font-weight: 300;
    margin: 0px 0px 0px 5px;
  }
  header .phone > i,
  header .location > i {
    font-size: 15px;
    color: red;
  }
  .navbar img {
    width: 15%;
  }
  header .social-media .icons li {
    width: 25px;
    height: 25px;
    background-color: transparent;
    border: 1px solid whitesmoke;
    border-radius: 50%;
    margin-right: 10px;
  }
  header .social-media .icons li a i {
    font-size: 15px;
  }

  header {
    padding: 0.5rem 0rem 0.5rem 0.5rem;
  }
  header .phone > span,
  header .location > span {
    font-size: 10px;
    color: #fff;
    font-weight: 300;
    margin: 0px 0px 0px 5px;
  }
  header .phone > i,
  header .location > i {
    font-size: 15px;
    color: red;
  }
  .navbar img {
    width: 15%;
  }
}
